package com.zjrs.zwnw.zj.dto;

import io.swagger.annotations.ApiModelProperty;
import com.zjrs.zwnw.annotation.NumVaild;

import jakarta.validation.constraints.NotBlank;

public class InitDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "年度")
    @NotBlank(message = "年度不能为空")
    private String nd;

    @ApiModelProperty(value = "正高级职称")
    @NumVaild(message="正高级职称格式不正确")
    @NotBlank(message = "正高级职称不能为空")
    private String zgj;

    @ApiModelProperty(value = "高级职称")
    @NumVaild(message="高级职称格式不正确")
    @NotBlank(message = "高级职称不能为空")
    private String gj;

    @ApiModelProperty(value = "中级职称")
    @NumVaild(message="中级职称格式不正确")
    @NotBlank(message = "中级职称不能为空")
    private String zj;

    @ApiModelProperty(value = "初级职称")
    @NumVaild(message="初级职称格式不正确")
    @NotBlank(message = "初级职称不能为空")
    private String cj;

    @ApiModelProperty(value = "专技总量")
    private String zjzl;

    @ApiModelProperty(value = "40周岁（含）以上博士")
    @NumVaild(message="40周岁（含）以上博士格式不正确")
    @NotBlank(message = "40周岁（含）以上博士不能为空")
    private String nl40ubs;

    @ApiModelProperty(value = "40周岁以下博士")
    @NumVaild(message="40周岁以下博士格式不正确")
    @NotBlank(message = "40周岁以下博士不能为空")
    private String nl40dbs;

    @ApiModelProperty(value = "中央、省驻湛单位博士")
    @NumVaild(message="中央、省驻湛单位博士格式不正确")
    @NotBlank(message = "中央、省驻湛单位博士不能为空")
    private String zybs;

    @ApiModelProperty(value = "市属单位博士")
    @NumVaild(message="市属单位博士格式不正确")
    @NotBlank(message = "市属单位博士不能为空")
    private String ssbs;

    @ApiModelProperty(value = "博士总量")
    private String bszl;

    @ApiModelProperty(value = "40周岁（含）以上博士后")
    @NumVaild(message="40周岁（含）以上博士后格式不正确")
    @NotBlank(message = "40周岁（含）以上博士后不能为空")
    private String nl40ubsh;

    @ApiModelProperty(value = "40周岁以下博士后")
    @NumVaild(message="40周岁以下博士后格式不正确")
    @NotBlank(message = "40周岁以下博士后不能为空")
    private String nl40dbsh;

    @ApiModelProperty(value = "中央、省驻湛单位博士后")
    @NumVaild(message="中央、省驻湛单位博士后格式不正确")
    @NotBlank(message = "中央、省驻湛单位博士后不能为空")
    private String zybsh;

    @ApiModelProperty(value = "市属单位博士后")
    @NumVaild(message="市属单位博士后格式不正确")
    @NotBlank(message = "市属单位博士后不能为空")
    private String ssbsh;

    @ApiModelProperty(value = "博士后总量")
    private String bshzl;

    @ApiModelProperty(value = "国家级突出贡献专家")
    @NumVaild(message="国家级突出贡献专家格式不正确")
    @NotBlank(message = "国家级突出贡献专家不能为空")
    private String gjzj;

    @ApiModelProperty(value = "省级突出贡献专家")
    @NumVaild(message="省级突出贡献专家格式不正确")
    @NotBlank(message = "省级突出贡献专家不能为空")
    private String shengjzj;

    @ApiModelProperty(value = "市级突出贡献专家")
    @NumVaild(message="4市级突出贡献专家格式不正确")
    @NotBlank(message = "市级突出贡献专家不能为空")
    private String shijzj;

    @ApiModelProperty(value = "享受国务院特殊津贴")
    @NumVaild(message="享受国务院特殊津贴格式不正确")
    @NotBlank(message = "享受国务院特殊津贴不能为空")
    private String xsgwytsjt;

    @ApiModelProperty(value = "突出贡献总量")
    private String tcgxzl;

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getZgj() {
        return zgj;
    }

    public void setZgj(String zgj) {
        this.zgj = zgj;
    }

    public String getGj() {
        return gj;
    }

    public void setGj(String gj) {
        this.gj = gj;
    }

    public String getZj() {
        return zj;
    }

    public void setZj(String zj) {
        this.zj = zj;
    }

    public String getCj() {
        return cj;
    }

    public void setCj(String cj) {
        this.cj = cj;
    }

    public String getZjzl() {
        return zjzl;
    }

    public void setZjzl(String zjzl) {
        this.zjzl = zjzl;
    }

    public String getNl40ubs() {
        return nl40ubs;
    }

    public void setNl40ubs(String nl40ubs) {
        this.nl40ubs = nl40ubs;
    }

    public String getNl40dbs() {
        return nl40dbs;
    }

    public void setNl40dbs(String nl40dbs) {
        this.nl40dbs = nl40dbs;
    }

    public String getZybs() {
        return zybs;
    }

    public void setZybs(String zybs) {
        this.zybs = zybs;
    }

    public String getSsbs() {
        return ssbs;
    }

    public void setSsbs(String ssbs) {
        this.ssbs = ssbs;
    }

    public String getBszl() {
        return bszl;
    }

    public void setBszl(String bszl) {
        this.bszl = bszl;
    }

    public String getNl40ubsh() {
        return nl40ubsh;
    }

    public void setNl40ubsh(String nl40ubsh) {
        this.nl40ubsh = nl40ubsh;
    }

    public String getNl40dbsh() {
        return nl40dbsh;
    }

    public void setNl40dbsh(String nl40dbsh) {
        this.nl40dbsh = nl40dbsh;
    }

    public String getZybsh() {
        return zybsh;
    }

    public void setZybsh(String zybsh) {
        this.zybsh = zybsh;
    }

    public String getSsbsh() {
        return ssbsh;
    }

    public void setSsbsh(String ssbsh) {
        this.ssbsh = ssbsh;
    }

    public String getBshzl() {
        return bshzl;
    }

    public void setBshzl(String bshzl) {
        this.bshzl = bshzl;
    }

    public String getGjzj() {
        return gjzj;
    }

    public void setGjzj(String gjzj) {
        this.gjzj = gjzj;
    }

    public String getShengjzj() {
        return shengjzj;
    }

    public void setShengjzj(String shengjzj) {
        this.shengjzj = shengjzj;
    }

    public String getShijzj() {
        return shijzj;
    }

    public void setShijzj(String shijzj) {
        this.shijzj = shijzj;
    }

    public String getXsgwytsjt() {
        return xsgwytsjt;
    }

    public void setXsgwytsjt(String xsgwytsjt) {
        this.xsgwytsjt = xsgwytsjt;
    }

    public String getTcgxzl() {
        return tcgxzl;
    }

    public void setTcgxzl(String tcgxzl) {
        this.tcgxzl = tcgxzl;
    }
}
